/*

 Theme Name:   GeneratePress Child

 Theme URI:    https://generatepress.com

 Description:  Default GeneratePress child theme

 Author:       Tom Usborne

 Author URI:   https://tomusborne.com

 Template:     generatepress

 Version:      0.1

*/


/* FUENTES */

@import url('https://fonts.googleapis.com/css2?family=Bangers&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


@font-face {
    font-family: 'Comic Craft';
    src: url('./fonts/Comic\ Craft.woff2') format('woff2'),
         url('./fonts/Comic\ Craft.woff') format('woff'),
         url('./fonts/Comic\ Craft.ttf') format('truetype'),
         url('./fonts/Comic\ Craft.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

/* VARIABLES POR DEFECTO */

:root {
    --c-negro: #07041A;
    --c-blanco: #ffffff;

    --c-primario: #242f5e;
    --c-primario-light: #bbc1d8;
    --c-primario-dark: #0a102c;
    
    --c-secundario: rgb(227, 6, 19);
    --c-secundario-dark: #950d16;
    /*--c-tonico: #f4c2c2;*/

    --c-grisclaro: #EFEFEF;
    --c-gris: #373737;
}

/* OUTLINE */

*:focus { outline: 5px solid orange; }

/* ESTILOS COMUNES DE TEXTO */
.zindex0 {
    z-index:0;
}

.zindex1 {
    z-index:999;
}

.ofx {
    overflow-x: hidden;
}

body {
    font-family: 'Poppins', Helvetica, sans-serif;
    color: var(--c-primario-dark);
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.6875rem;
    overflow-x: hidden;
}


h2.titulos-interiores {
    font-size: 55px;
    margin-bottom: 20px;
    line-height: 1.2em;
    font-weight: 400;
    padding-top: 20px;
    text-transform: none;
    color: var(--c-primario-dark);
    font-family:  'Comic Craft', sans-serif !important;
}

h3.subtitulos-interiores {
    font-size: 32px;
    margin-bottom: 20px;
    line-height: 1.2em;
    font-weight: 600 !important;
    text-transform: uppercase !important;
    text-transform: none;
    color: var(--c-primario-dark);
    font-family:  'Poppins', sans-serif !important;
}
  
h3.subtitulos-interiores {
    font-size: 23px;
    margin-bottom: 20px;
    line-height: 1.2em;
    font-weight: 400;
    text-transform: none;
    color: var(--c-primario-dark);
    font-family: serif;
}
  
a {
    color: var(--c-primario-dark);
    text-decoration: none;
}
  
a, a:hover {
    transition: all 0.4s ease !important;
}

strong, b {
    font-weight: 600;
}

.text-light {
    color: var(--c-blanco)!important;
}



@media screen and (max-width:768px) {
    h2.titulos-interiores {
        font-size: 30px;
        
    }
}
  
  

/*  ESTILOS DE BLOQUES */

.sombra-bloques {
    box-shadow: 0 20px 30px 0 rgba(65, 69, 55, 0.1);
}
  
.desbordamiento-oculto {
    overflow-x: hidden;
} 

.alinear-izquierda {
    text-align: left;
}
  
.alinear-centro {
    text-align: center;
}
  
.alinear-derecha {
    text-align: right;
}

/* LISTA */
    
ul.lista-especial {
    margin-left: 30px;
}

ul.lista-especial:before {
    content: "";
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: var(--c-secundario);
    opacity: 0.8;
    margin-top: 8px;
    margin-left: -25px;
    position: absolute;
    -webkit-transition: .4s;
    transition: .4s;
}

ul.lista-especial li {
    font-size: 15px;
}

ul.lista-especial li::marker{
    color: transparent;
}

/* MENÚ NAVEGACIÓN */

.main-navigation {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    background-color: transparent;
}

.site-logo {
    transform: scale(1.8);
    transform-origin: top left;
    
}

.navigation-branding img {
    padding-top: 5px !important;
}

.main-nav {
    background-color: #ffffff;
    margin-top: 20px;
   
    border-radius: 50px;

    box-shadow: 0 20px 30px 0 rgba(65, 69, 55, 0.1);
    padding-inline: 16px;
}

.main-nav li {
    display: flex;
    align-items: center;
    max-height: 45px;
}

.main-navigation .main-nav ul li a {
    line-height: 40px;
    color: var(--c-primario-dark);
    font-weight: 400;
    transition: all 0.5s ease-out;
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    
   
}


.main-navigation .main-nav ul li a:hover {
    color: var(--c-primario-dark) !important;
    opacity: 0.6;
}

.main-nav li:last-child{
    background-color: var(--c-primario);
    color: var(--c-blanco);
    margin: 10px 0;
    border-radius: 50px;
}

.menu-item-221 a {
    color: var(--c-blanco)!important;
    
}

.inside-navigation  {
    padding-inline: 30px !important;
    padding-top: 10px !important;
}

#menu-item-221 a:hover {
    color: var(--c-blanco)!important;
    
}

@media screen and (max-width:768px) {
    .site-logo {
        transform: scale(1.3);
  
    }

    
.main-nav {
    background-color: #ffffff00;
    margin-top: 20px;
   
    border-radius: 50px;

    box-shadow: 0 20px 30px 0 rgba(65, 69, 55, 0);
    padding-inline: 16px;
}

#menu-menu-principal {
    background-color: #ffffff;
        box-shadow: 0 20px 30px 0 rgba(65, 69, 55, 0.1);
        padding: 6px;
        padding-inline: 16px;
        border-radius: 29px;
        margin-top: 30px;
}

.inside-navigation  {
    padding-inline: 20px !important;

}
}

/* Current item del menú */

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
    color: var(--c-primario-dark);
    font-weight: 600;
}


/* ESTILOS HOME */

h1.tit-home {
    font-size: 65px;
    font-weight: 400;
    font-family: serif;
    color: var(--c-primario-dark)!important;
    margin-bottom: 20px;
    line-height: 1.2em;
    text-transform: none;
    font-family:  'Comic Craft', sans-serif;
}
  
span.subtit-home {
    font-weight: 300;
    font-size: 30px;
    letter-spacing: 0.08rem;
  
    padding-top: 20px;
    line-height: 1.3em!important;
    text-transform: none;
    color: var(--c-primario-dark);
    font-family:  'Comic Craft', sans-serif;
    display: block;
}

@media screen and (max-width:768px) {

    h1.tit-home {
        font-size: 40px;
    }
  
    span.subtit-home {
        font-size: 22px;
    }
  
}

/* ESTILOS SUBPÁGINAS */

h1.tit-interior {
    font-size: 50px;
    font-weight: 400;
    font-family: 'Playfair Display', serif;
    color: var(--c-primario-dark)!important;
    margin-bottom: 20px;
    line-height: 1.2em;
    text-transform: none;
}

@media screen and (max-width: 768px) {

    h1.tit-interior {
        font-size: 40px;
    }

}

/* FORMULARIO DE CONTACTO */


/* CAPTCHA */

.grecaptcha-badge {
    display: none;
}
  